/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jdbc_gui;
import DB.*;
import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.logging.Level;
import java.util.logging.Logger;
/**
 *
 * @author Stefan Tubic
 */
public class Test {
    public static void main(String[] args) {
        String sql = "Select * from Radnik where Ime = ?";
        PreparedStatement ps;
        CallableStatement cs;
        ResultSet rs;
        try {
            ps = DB.connection.prepareStatement(sql);
            ps.setString(1, "Milica");
            rs = ps.executeQuery();
            while(rs.next()){
                System.out.println(rs.getString("Prezime"));
            }
            System.out.println("---------");
            
            //------------
            sql = "{call SPRadniciSaImenom(?)}";
            cs = DB.connection.prepareCall(sql);
            cs.setString(1, "Milica");
            
            rs = cs.executeQuery();
            while(rs.next()){
                System.out.println(rs.getString("Prezime"));
            }
            System.out.println("---------");
            
            //------------
            sql = "{call SPBrojRadnikaSaImenom(?,?)}";
            cs = DB.connection.prepareCall(sql);
            cs.setString(1, "Milica");
            cs.registerOutParameter(2, java.sql.Types.INTEGER);
            
            cs.execute();
            
            int br = cs.getInt(2);
            System.out.println(br);
            System.out.println("---------");
            
            //------------
            sql = "{? = call FBrojRadnikaSaImenom(?)}";
                    
            cs = DB.connection.prepareCall(sql);
            cs.registerOutParameter(1, java.sql.Types.INTEGER);
            cs.setString(2, "Milica");
            
            cs.execute();
            br = cs.getInt(1);
            System.out.println(br);
            System.out.println("---------");
            
            //------------
            Statement stm = DB.connection.createStatement();
            rs = stm.executeQuery("Select Count(*) from Radnik");
            rs.next();
            br = rs.getInt(1);
            sql = "insert into Radnik values(" + (br+1) + ", 'Stefan', 'Stefanovic', 0651112233, 1)";
            stm.executeUpdate(sql);
            System.out.println("Ubacen red u tabelu Radnik");
            System.out.println("---------");
            
            //------------
        } catch (SQLException ex) {
            Logger.getLogger(Test.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
